//
// Created by robin on 1/9/18.
//

#ifndef QDNSAGG_QDNSLABEL_H
#define QDNSAGG_QDNSLABEL_H

#include <QString>

namespace QDns
{

    class QDnsLabel
    {
    public:
        QDnsLabel() = delete;

        static QString parse(const QByteArray& packetData, quint32 pos, quint8 maxRecursion = 5);
        static QString parse(const QByteArray& packetData, QDataStream& dataStream, quint8 maxRecursion = 5);

        static QByteArray serialize(const QString& label);
        static void serialize(const QString& label, QDataStream& dataStream);
    };

}

#endif //QDNSAGG_QDNSLABEL_H
